### Method

# WebKit ScriptDialog prompt_get_default_text

#### Declaration [src]

    const gchar*
    webkit_script_dialog_prompt_get_default_text (
      WebKitScriptDialog* dialog
    )

#### Description [src]

Get the default text of a `WebKitScriptDialog` of type `WEBKIT_SCRIPT_DIALOG_PROMPT`.

It’s an error to use this method with a `WebKitScriptDialog` that is not of type `WEBKIT_SCRIPT_DIALOG_PROMPT`.

#### Return value

Type: `const gchar*`

The default text of `dialog`.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.